/* color palette  */

:root {
    --color-one: #49451b;
    --color-two: #000;
    --color-three: #fff;
    --color-four: #b98e33;
    --color-five: #525252;
    --font-one: "Saira", sans-serif;
    --font-two: "Montserrat", sans-serif;
}


/* common  */
* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}
.container {
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 30px;
}
html {
    scroll-behavior: smooth;
}
a {
    text-decoration: none;
}
p, a, li {
    font-family: var(--font-two);
}
li {
    list-style: none;
}

.ttu {
    text-transform: uppercase;
}
.df {
    display: flex;
}
.aic {
    align-items: center;
}
.jcc {
    justify-content: center;
}
.img-cd img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.p1 {
    color: var(--color-five);
}
.p2 {
    color: var(--color-two);
}
section {
    padding: 100px 0 50px 0;
}


/* navigation  */
nav {
    background: var(--color-three);
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    z-index: 100;
    box-shadow: 0 2px 15px 2px rgba(0, 0, 0, 0.4);
}
.nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 12px 0;
    gap: 30px;
    width: 100%;
}
#logo a img, #logo2 a img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
#logo {
    max-width: 300px;
}
#logo2 {
    max-width: 130px;
}
#logo a {
    display: flex;
}
#menu {
    display: flex;
    gap: 20px;
}
#menu a {
    color: var(--color-one);
    text-decoration: none;
    font-family: var(--font-two);
    border-bottom: 1px solid transparent;
    text-transform: capitalize;
    font-weight: 600;
    font-size: 13px;
}
/* #menu a.active {
    color: var(--color-three);
} */
#menu a:hover {
    color: var(--color-two);
    border-bottom: 1px solid var(--color-two);
}
#menuToggle {
    display: none;
    cursor: pointer;
    font-size: 1.5em;
    color: var(--color-five);
}
.logo-btn-wrap {
    display: flex;
    align-items: center;
    gap: 30px;
}
.download-btn {
    background: var(--color-four);
    font-size: 12px;
    padding: 4px 8px;
    border-radius: 3px;
    font-weight: 600;
    font-family: var(--font-two);
    color: var(--color-three);
    text-transform: uppercase;
    white-space: wrap;
    display: block;
    cursor: pointer;
}
.download-btn:hover {
    color: var(--color-two);
}

@media screen and (max-width: 991px) {
    nav {
        padding-top: 5px;
    }
    #menu {
        display: none;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        position: absolute;
        top: 60px;
        left: 0;
        width: 100%;
        background-color: var(--color-three);
        z-index: 1;
        height: 100vh;
        text-align: center;
    }
    #logo {
        max-width: 200px;
    }
    #menu a {
        padding: 10px 30px;
        font-size: 22px;
    }
    #menuToggle {
        display: block;
    }
    #menuToggle.open {
        display: none;
    }
    #menuToggle.closed {
        display: block;
    }
}
@media screen and (min-width: 992px) {
    #menu {
        display: flex !important;
    }
}

@media screen and (max-width:1145px) and (min-width:992px) {
    #menu, .logo-btn-wrap {
        gap: 15px;
    }
}


/* hero section  */
.hero-section {
    padding: 0;
    padding-top: 50px;
}
.splide {
    visibility: visible;
}

/* overview  */
.overview-para {
    font-size: 22px;
    margin: 20px 0;
    text-align: center;
    font-family: var(--font-two);
    line-height: 1.5;
}
.overview-para span {
    font-weight: 500;
}
.overview-grid {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 30px;
}
.overview-item {
    display: flex;
    flex-direction: column;
    gap: 5px;
    align-items: center;
    text-align: center;
    font-size: 14px;
}
.overview-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.overview-img {
    max-width: 50px;
}


/* 68 acres  */
.acres-main-img {
    display: flex;
    flex-direction: column;
    justify-content: center;
    width: 70%;
    margin: 0 auto;
}
.acres-main-img h3 {
    font-weight: 400;
    font-family: var(--font-two);
    color: var(--font-two);
    font-size: 35px;
}
.acres-main-img h4 {
    font-family: var(--font-two);
    color: var(--font-two);
    font-size: 25px;
}
.masked-text {
    font-size: 32vw; 
    font-weight: bold;
    color: transparent;
    position: relative;
    display: inline-block;
    line-height: 1;
    font-family: var(--font-two);
}
.masked-text::before {
    content: "68";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: url('../img/about-bg.jpg') no-repeat center center;
    background-size: cover;
    -webkit-background-clip: text;
    background-clip: text;
    color: transparent;
}

.masked-text {
    margin: 0;
    padding: 0;
    text-align: center;
}
.acres-grid {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    gap: 20px;
    width: 82%;
    margin: 0 auto;
    margin-top: 50px;
}
.acres-item {
    display: flex;
    align-items: center;
    gap: 10px;
}
.acres-img {
    width: 70px;
}
.acres-txt p {
    font-size: 14px;
}


/* connectivity  */
.connectivity-section {
    background: #f1f1f1;
}
.connect-title h2 {
    font-size: 34px;
    color: var(--color-two);
    font-family: var(--font-two);
    line-height: 1.2;
    margin-bottom: 10px;
}
.connect-title h2 span {
    font-style: italic;
    font-weight: 400;
    font-family: Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;
}
.connect-title p {
    margin: 20px 20px 20px 30px;
}
.location-wrap {
    gap: 50px;
    padding-top: 15px;
}
.map-wrap, .w50 {
    width: 50%;
}
.location-details {
    gap: 30px;
}
.location-details p, .location-details ul li {
    font-size: 13px;
}
.location-details ul {
    margin: 7px 0;
}
.location-details ul li {
    border-bottom: 1px solid rgba(0, 0, 0, 0.1);
    padding: 5px 0;
}
.location-details ul li:last-child {
    border-bottom: none;
}
.location-details p {
    font-weight: 500;
}
.location-details p.top {
    margin-top: 10px;
}
.location-details p.bottom {
    margin-top: 15px;
}


/* amentites  */
.amentities-section h3 {
    font-size: 32px;
    font-family: var(--font-two);
    font-weight: 500;
    text-align: center;
}
.amentites-grid {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 30px;
    padding-top: 50px;
}
.amenities-img {
    max-width: 70px;
}
.amenities-item {
    flex-direction: column;
    align-items: center;
    text-align: center;
    gap: 20px;
}


/* clubs  */
.clubs-section {
    background: #f1f1f1;
}
.clubs-section h3 {
    font-size: 32px;
    font-family: var(--font-two);
    font-weight: 500;
    text-align: center;
}
.top-para {
    text-align: center;
    padding-top: 30px;
}
.clubs-grid {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    margin-top: 50px;
    padding: 15px;
    background: var(--color-three);
}
.club-logo {
    max-width: 100px;
    margin: 0 auto;
    padding-bottom: 12px;
}
.clubs-item {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}
.club-txt p {
    font-size: 12px;
    text-align: center;
    padding: 0 10px;
    font-weight: 500;
}


/* about  */
.about-section {
    background-image: url(../img/about-bg.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: top;
}
.about-wrap {
    gap: 150px;
}
.about-logo {
    max-width: 195px;
}
.about-section h3 {
    font-size: 32px;
    font-family: var(--font-two);
    font-weight: 500;
    color: var(--color-three);
    margin: 40px 0 20px 0;
}
.about-section p {
    color: var(--color-three);
    margin: 50px 0 20px 0;
    line-height: 1.5;
    width: 90%;
}
.about-section li {
    color: var(--color-three);
    line-height: 1.5;
    list-style: disc;
}
.about-section ul {
    margin-left: 20px;
}


/* footer  */
footer {
    padding: 60px 0 120px 0;
}
.footer-content {
    gap: 50px;
}
.footer-links h4 {
    font-size: 16px;
    font-family: var(--font-two);
    font-weight: 400;
    line-height: 1.5;
    padding-bottom: 15px;
}
.footer-links p {
    font-size: 12px;
    line-height: 1.5;
    width: 90%;
}
.footer-links a {
    color: #007bff;
}
.footer-links a:hover {
    color: var(--color-two);
    border-bottom: 1px solid var(--color-two);
}
p.copyright {
    font-size: 16px;
    padding-top: 15px;
}
.barcode {
    max-width: 100px;
}


/* sticky footer  */
.sticky-footer-section {
    background: var(--color-two);
    padding: 10px 0;
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
}
#footerContactForm {
    display: flex;
    gap: 30px;
    align-items: center;
    width: 88%;
    margin: 0 auto;
}
#footerContactForm h3 {
    color: var(--color-three);
    font-family: var(--font-two);
    font-weight: 500;
    font-size: 18px;
    white-space: nowrap;
}
.form-group input {
    background: transparent;
    color: var(--color-three);
    border: none;
    outline: none;
    border-bottom: 1px solid var(--color-three);
    padding: 10px;
    width: 100%;
}
.form-group input::placeholder {
    color: var(--color-three);
}
#submit {
    background: var(--color-three);
    color: var(--color-two);
    border: none;
    outline: none;
    padding: 10px 20px;
    border-radius: 3px;
    font-size: 16px;
    font-weight: 500;
    cursor: pointer;
}
.agree {
    display: flex;
    justify-content: center;
    align-items: center;
    padding-top: 10px;
    gap: 8px;
}
.agree p {
    color: var(--color-three);
    font-size: 10px;
}
.iti--separate-dial-code .iti__selected-dial-code {
    color: var(--color-three);
}
.iti__arrow {
    border-top: 8px solid var(--color-three);
    border-left: 5px solid transparent;
    border-right: 5px solid transparent;
}
.form-group input:focus {
    background-color: #000;
    border-color: #80bdff;
    outline: 0;
    box-shadow: 0 0 0 0.2rem rgba(0, 123, 255, 0.25);
}

/* modal  */
.modal {
    display: none; /* Hidden by default */
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgb(0,0,0);
    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
    justify-content: center;
    align-items: center;
}
.modal-content {
    background-color: var(--color-two);
    margin: auto;
    padding: 20px;
    width: 90%;
    max-width: 300px;
    position: relative;
    margin: 0 auto;
}
.close {
    color: var(--color-three);
    display: flex;
    justify-content: end;
    font-size: 24px;
    font-weight: bold;
    position: absolute;
    top: 10px;
    right: 15px;
}

.close:hover,
.close:focus {
    color: var(--color-four);
    text-decoration: none;
    cursor: pointer;
}
.close-button {
    color: var(--color-three);
}
.close-button:hover,
.close-button:focus {
    color: var(--color-four);
    text-decoration: none;
    cursor: pointer;
}


/* window modal  */
#modal {
    z-index: 1000;
}
#modal .modal {
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}
#modal .modal-content {
    margin: auto; 
    padding: 20px;
    width: 80%; 
    max-width: 300px;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}
.close-button {
    position: absolute;
    right: 15px;
    top: 10px;
    font-size: 24px;
}
#contactModal #mobileContactForm, #modal #contactForm {
    display: flex;
    flex-direction: column;
    align-items: start;
    gap: 25px;
}
#contactModal .form-group, #contactModal .form-group, .iti {
    width: 100%;
}
#contactModal #mobileContactForm h3, #mobileContactForm h3, #contactForm h3 {
    text-align: center;
    width: 100%;
    color: var(--color-three);
    font-family: var(--font-two);
    font-weight: 500;
}
#mobileContactForm #submit, #contactForm #submit {
    width: max-content;
    margin: 0 auto;
    display: flex;
    justify-content: center;
    margin-top: 25px;
}
.form-group {
    width: 100%;
}

  /* hero  */
  .splide, .splide__slide, .splide__track, .hero-bg-img {
    height: calc(100vh - 120px) !important;
}


/* #####################   privacy policy  ##################  */

.privacy-logo {
    max-width: 250px;
    margin: 0 auto;
    padding-top: 10px;
}
.privacy-policy {
    padding: 50px 30px;
}



@media screen and (max-width:767px) {

    .container {
        padding: 0 15px;
    }
    
    /* nav  */
    .download-btn {
        display: none;
    }

    /* hero  */
    .hero-section .slide1 img {
        content: url(../img/hero-slider-mob1.jpg);
    }
    .hero-section .slide2 img {
        content: url(../img/hero-slider-mob2.jpg);
    }
    .hero-section .slide3 img {
        content: url(../img/hero-slider-mob3.jpg);
    }
    .hero-bg-img {
        height: auto;
    }

    /* overview  */
    .overview-para {
        font-size: 22px;
    }
    .overview-grid {
        grid-template-columns: repeat(2, 1fr);
    }

    /* 68 acres  */
    .acres-grid {
        grid-template-columns: repeat(2, 1fr);
    }
    .acres-main-img {
        width: 100%;
    }
    .masked-text {
        font-size: 65vw;
    }
    .acres-item {
        gap: 0;
    }
    .acres-img {
        width: 55px;
    }
    .acres-grid {
        width: 90%;
    }

    /* connectivity  */
    .w50 {
        width: 100%;
    }
    .location-wrap, .location-details {
        flex-direction: column;
    }
    .location-details {
        gap: 15px;
    }
    .map-wrap {
        height: 400px;
    }

    /* amentites  */
    .amentites-grid {
        grid-template-columns: repeat(2, 1fr);
    }

    /* clubs  */
    .clubs-grid {
        grid-template-columns: repeat(1, 1fr);
        padding: 0;
        gap: 15px;
        background: transparent;
    }
    .clubs-item {
        background: var(--color-three);
    }
    .club-txt {
        padding: 10px;
    }

    /* about  */
    .about-section {
        background-position: left;
        padding: 50px 0;
    }
    .about-wrap {
        gap: 0;
    }
    .about-left {
        display: none;
    }
    .about-section p {
        width: 100%;
    }

    /* footer  */
    .footer-content {
        flex-direction: column;
    }
    .footer-links p {
        width: 100%;
    }

    /* sticky-footer  */
    .sticky-footer-section {
        display: none;
    }
    .sticky-footer-section-m {
        position: fixed;
        left: 0;
        right: 0;
        bottom: 0;
        padding: 0 5px;
        background-image: linear-gradient(to right, #766529 , #49451b);
    }
    .mob-wrapper {
        gap: 8px;
        justify-content: space-evenly;
    }
    .mob-wrapper i {
        padding-right: 5px;
    }
    .devide {
        background: var(--color-three);
    }
    .mob-left a {
        color: var(--color-three);
    }
    .mob-right a {
        color: var(--color-three);
    }
    .mob-left, .mob-right {
        padding: 15px 0;
    }

    .agree  {
        align-items: start;
    }
    #contactForm {
        align-items: start;
    }
    .submit-btn {
        width: max-content;
        margin: 0 auto;
    }
    .form-group {
        width: 100%;
    }
    .form-group input {
        width: 100%;
    }
    div#contactModal {
        z-index: 100;
    }
    #contactForm h3 {
        text-align: center;
        width: 100%;
    }
    #openModalButton {
        cursor: pointer;
    }

     /* hero slider */
     .splide, .splide__slide, .splide__track, .hero-bg-img {
        height: 400px !important;
    }
    .img-cd img {
        object-fit: fill;
    }
}



@media screen and (max-width:800px) and (min-width:768px) {
    
    .nav {
        justify-content: center;
    }
}



@media screen and (max-width:991px) and (min-width:768px) {

    /* nav  */
    #logo {
        max-width: 280px;
    }

    /* hero  */
    /* .hero-section {
        height: 60%;
    }
    .hero-bg-img {
        height: 60%;
    } */

    /* connectivity  */
    .w50 {
        width: 100%;
    }
    .location-wrap, .location-details {
        flex-direction: column;
    }
    .location-details {
        gap: 15px;
    }
    .location-details ul li {
        width: max-content;
    }
    .map-wrap {
        height: 400px;
    }

    /* acres  */
    .acres-img {
        width: 50px;
    }
    .acres-grid {
        width: 90%;
    }

    /* about  */
    .about-section {
        background-position: left;
    }

    /* footer  */
    .footer-content {
        flex-direction: column;
    }


    /* hero slider */
    .splide, .splide__slide, .splide__track, .hero-bg-img {
        height: 60vh !important;
    }
    .img-cd img {
        object-fit: fill;
    }
}


@media screen and (min-width:1931px) {
    
    .acres-main-img {
        width: 100%;
    }
}

@media screen and (max-width:1340px) and (min-width:992px) {

    /* hero  */
    .splide, .splide__slide, .splide__track, .hero-bg-img {
        height: 60vh !important;
    }
    .img-cd img {
        object-fit: fill;
    }
    /* .hero-section {
        height: 70%;
    }
    .hero-bg-img {
        height: 70%;
    } */
}
@media screen and (max-width:510px) {
    .splide, .splide__slide, .splide__track, .hero-bg-img {
        height: 60vh !important;
    }

    /* hero  */
    /* .hero-section {
        height: 100%;
    }
    .hero-bg-img {
        height: 100%;
    } */
}

@media screen and (max-width:767px) and (min-width:510px) {
    .hero-section .slide1 img {
        content: url(../img/hero-slider1.jpg);
    }
    .hero-section .slide2 img {
        content: url(../img/hero-slider2.jpg);
    }
    .hero-section .slide3 img {
        content: url(../img/hero-slider3.jpg);
    }
   
    /* .hero-section {
        height: 50%;
    }
    .hero-bg-img {
        height: 50%;
    } */
}

@media screen and (min-width:768px) {
    
    .sticky-footer-section-m, #contactModal {
        display: none;
    }
}

/* Contact form fixes */
.help-block.with-errors {
    color: red;
}

.text-danger {
    color: red;
}

.text-success {
    color: green;
}